
import "Turbine.Gameplay"
import "Turbine.UI"
import "Turbine.UI.Lotro"

import "Souru.Gibberish.BackendFunctions"
import "Souru.Gibberish.UIFunctions"
import "Souru.Gibberish.Misc"
import "Souru.Gibberish.Utils"
import "Souru.Gibberish.UI"

---------------------------------------------------------------------
--== global ===--
---------------------------------------------------------------------

EFFECTS_SELF = 1
EFFECTS_GROUP = 2
EFFECTS_TARGET = 3
CHAT = 4
SKILL = 5
TRIGGER_END = 6
TRIGGER_START = 8
TRIGGER_THRESHOLD = 7


lp = Turbine.Gameplay.LocalPlayer:GetInstance()
group = nil


moving = false
collect_effects = false
collect_target_effects = false
effects_target_only_buffs = true
collect_chat = false
effects_only_debuffs = true
chat_only_say = true
show_groups = true
show_grid = true

windowdata = {}

windows = {}
groups = {}
logo = nil
settings_window = nil
collectors_window = nil
move_window = nil
move_selection = nil

library = {}
library["effects"] = {}
library["chat"] = {}

collection = {}
collection["effects"] = {}
collection["chat"] = {}

LIST_NAMES = {}
LIST_NAMES[1] = "list_effects_self"
LIST_NAMES[2] = "list_effects_group"
LIST_NAMES[3] = "list_effects_target"
LIST_NAMES[4] = "list_chat"
LIST_NAMES[5] = "list_skill"
LIST_NAMES[6] = "list_triggers_end"
LIST_NAMES[7] = "list_triggers_threshold"
LIST_NAMES[8] = "list_triggers_start"


---------------------------------------------------------------------
--== LOAD ===--
---------------------------------------------------------------------

import "Souru.Gibberish.SaveLoad"
