
function ColorToString(color)
	if color ~= nil then
    	return (math.round(color["R"]*255))..", "..(math.round(color["G"]*255))..", "..(math.round(color["B"]*255))
	end
end

function StringToColor(text)

    text = string.gsub(text, "\n", "")
    text = string.gsub(text, " ", "")
    local color_list = split(text, ",")

    if table.getn(color_list) == 3 then
        return color_list[1]/255, color_list[2]/255, color_list[3]/255
    else
        return nil
    end

end

function SecondsToClock(seconds)

    local seconds = tonumber(seconds)

    if seconds <= 0 then
        return "00:00";
    else
    --  hours = string.format("%02.f", math.floor(seconds/3600));
        mins = string.format("%02.f", math.floor(seconds/60));
        secs = string.format("%02.f", math.floor(seconds - mins *60));
        return mins..":"..secs
    end
end

function split(s, delimiter)
    result = {};
    for match in (s..delimiter):gmatch("(.-)"..delimiter) do
        table.insert(result, match);
    end
    return result;
end

findfont = function(number)
    if number == 1 then
        return Turbine.UI.Lotro.Font.Arial12;
    elseif number == 2 then
        return Turbine.UI.Lotro.Font.TrajanPro13;
    elseif number == 3 then
        return Turbine.UI.Lotro.Font.TrajanPro14;
    elseif number == 4 then
        return Turbine.UI.Lotro.Font.TrajanPro15;
    elseif number == 5 then
        return Turbine.UI.Lotro.Font.TrajanPro16;
    elseif number == 6 then
        return Turbine.UI.Lotro.Font.TrajanPro18;
    elseif number == 7 then
        return Turbine.UI.Lotro.Font.TrajanPro19;
    elseif number == 8 then
        return Turbine.UI.Lotro.Font.TrajanPro20;
    elseif number == 9 then
        return Turbine.UI.Lotro.Font.TrajanPro21;
    elseif number == 10 then
        return Turbine.UI.Lotro.Font.TrajanPro23;
    elseif number == 11 then
        return Turbine.UI.Lotro.Font.TrajanPro24;
    elseif number == 12 then
        return Turbine.UI.Lotro.Font.TrajanPro25;
    elseif number == 13 then
        return Turbine.UI.Lotro.Font.TrajanPro26;
    elseif number == 14 then
        return Turbine.UI.Lotro.Font.TrajanPro28;
    elseif number == 15 then
        return Turbine.UI.Lotro.Font.TrajanProBold16;
    elseif number == 16 then
        return Turbine.UI.Lotro.Font.TrajanProBold22;
    elseif number == 17 then
        return Turbine.UI.Lotro.Font.TrajanProBold24;
    elseif number == 18 then
        return Turbine.UI.Lotro.Font.TrajanProBold25;
    elseif number == 19 then
        return Turbine.UI.Lotro.Font.TrajanProBold30;
    elseif number == 20 then
        return Turbine.UI.Lotro.Font.TrajanProBold36;
    elseif number == 21 then
        return Turbine.UI.Lotro.Font.Verdana10;
    elseif number == 22 then
        return Turbine.UI.Lotro.Font.Verdana12;
    elseif number == 23 then
        return Turbine.UI.Lotro.Font.Verdana14;
    elseif number == 24 then
        return Turbine.UI.Lotro.Font.Verdana16;
    elseif number == 25 then
        return Turbine.UI.Lotro.Font.Verdana18;
    elseif number == 26 then
        return Turbine.UI.Lotro.Font.Verdana20;
    elseif number == 27 then
        return Turbine.UI.Lotro.Font.Verdana22;
    elseif number == 28 then
        return Turbine.UI.Lotro.Font.Verdana23;
    end
end


function ChatTypeToString(chattype)

	if chattype == Turbine.ChatType.PlayerCombat then
		return "PlayerCombat"
	elseif chattype == Turbine.ChatType.EnemyCombat then
		return "EnemyCombat"
	elseif chattype == Turbine.ChatType.Say then
		return "Say"
	elseif chattype == Turbine.ChatType.Advancement then
		return "Advancement"
	elseif chattype == Turbine.ChatType.Emote then
		return "Emote"
	elseif chattype == Turbine.ChatType.FellowLoot then
		return "FellowLoot"
	elseif chattype == Turbine.ChatType.Kinship then
		return "Kinship"
	elseif chattype == Turbine.ChatType.Raid then
		return "Raid"
	elseif chattype == Turbine.ChatType.LFF then
		return "LFF"
	elseif chattype == Turbine.ChatType.World then
		return "World"
	elseif chattype == Turbine.ChatType.SelfLoot then
		return "SelfLoot"
	elseif chattype == Turbine.ChatType.FellowLoot then
		return "FellowLoot"
	elseif chattype == Turbine.ChatType.OOC then
		return "OOC"
	elseif chattype == Turbine.ChatType.Regional then
		return "Regional"
	elseif chattype == Turbine.ChatType.Raid then
		return "Raid"
	elseif chattype == Turbine.ChatType.Trade then
		return "Trade"
	elseif chattype == Turbine.ChatType.Tribe then
		return "Tribe"
	elseif chattype == Turbine.ChatType.Officer then
		return "Officer"
	elseif chattype == Turbine.ChatType.UserChat1 then
		return "UserChat1"
	elseif chattype == Turbine.ChatType.UserChat2 then
		return "UserChat2"
	elseif chattype == Turbine.ChatType.UserChat3 then
		return "UserChat3"
	elseif chattype == Turbine.ChatType.UserChat4 then
		return "UserChat4"
	else
		return chattype
	end
	

end