
---------------------------------------------------------------------
--== misc ===--
---------------------------------------------------------------------


function SettingsOverwrite(data, parent, key, start_time, duration, icon, text, running)

    if(data["timer"] > 0) then
        duration = data["timer"]
    end

    if(data["text"] ~= nil and data["text"] ~= "%d") then
        text = data["text"]
    end

    if(data["icon"] ~= nil)  then
        icon = data["icon"]
    end

    return parent, key, start_time, duration, icon, text, data, running

end


skill_tree_changed_control = Turbine.UI.Control()
skill_tree_changed_control.Update = function()
    if Turbine.Engine.GetGameTime() > skill_tree_changed_control.sleepEnd then
        skill_tree_changed_control:SetWantsUpdates(false)
        window_DataChanged()
		Trigger.checkAllSkills()
		Trigger.CheckAllActivEffects()
    end
end

function skill_tree_changed()
    
    skill_tree_changed_control.sleepEnd = Turbine.Engine.GetGameTime() + 3
    skill_tree_changed_control:SetWantsUpdates(true)

end


function reload_after_groupchanges_Changed(bool)

    windowdata["reload_after_groupchanges"] = bool
    c_icon:Reload_After_Groupchanges()
    if settings_window ~= nil then
        --settings_window:Reload_After_Groupchanges()
    end

            
    SaveSettings()

end
